%define major 2
%define libname %mklibname ffado %{major}
%define devname %mklibname ffado -d

Summary:	Firewire audio drivers for JACK
Name:		libffado
Version:	2.2.1
Release:	2
License:	GPLv2+ and GPLv3+
Group:		Sound
Source0:	http://www.ffado.org/files/%{name}-%{version}.tgz
Patch0:		libffado-2.2.1-errno.patch
Url:		http://www.ffado.org/
BuildRequires:	scons
BuildRequires:	python-dbus
BuildRequires:	python-qt4-dbus
BuildRequires:	python-qt4-devel
BuildRequires:	pkgconfig(libconfig)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-c++-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(libavc1394)
BuildRequires:	pkgconfig(libiec61883)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libxml++-2.6)

%description
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

#----------------------------------------------------------------------------

%package -n ffado
Summary:	Firewire audio driver applications and utilities
Group:		Sound
Requires:	%{libname} = %{EVRD}
Requires:	python-dbus
Requires:	python-qt4
Requires:	qt4-qtdbus
Conflicts:	%{mklibname ffado 2} < 2.1.0-2

%description -n ffado
Configuration utilities for the FFADO firewire drivers.

%files -n ffado
%doc AUTHORS ChangeLog LICENSE.* README
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/python
%{_datadir}/%{name}/configuration
%{_datadir}/%{name}/*.xml
%{_datadir}/applications/ffado-mixer.desktop
%dir %{_datadir}/%{name}/icons
%{_datadir}/%{name}/icons/hi64-apps-ffado.png
%{py_puresitedir}/ffado/*.ui
%{py_puresitedir}/ffado/*.py
%{py_puresitedir}/ffado/mixer/*.ui
%{py_puresitedir}/ffado/mixer/*.py
%{py_puresitedir}/ffado/widgets/*.py
%{_datadir}/dbus-1/services/org.ffado.Control.service
%doc %{_mandir}/man1/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Firewire audio drivers for JACK
Group:		Sound

%description -n %{libname}
The FFADO library provides a generic, open-source solution for the
support of FireWire based audio devices for the Linux platform. It is the
successor of the FreeBoB project. Currently this library is used by the
firewire backends of the jack audio connection kit sound server
(jackit package). This backend provides audio and midi support,
and is available in both jack1 and jack2.

%files -n %{libname}
%{_libdir}/libffado.so.%{major}*
/lib/udev/rules.d/60-ffado.rules

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Firewire audio driver library development headers
Group:		Sound
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files needed to build applications against libffado.

%files -n %{devname}
%{_libdir}/%{name}.so
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q

%build
scons PREFIX=%{_prefix} LIBDIR=%{_libdir} MANDIR=%{_mandir}

%install
scons PREFIX=%{_prefix} LIBDIR=%{_libdir} \
      DESTDIR=%{buildroot} install
      
install -m 0755 support/tools/listirqinfo.py %{buildroot}%{_datadir}/libffado/python
install -m 0755 support/tools/helpstrings.py %{buildroot}%{_datadir}/libffado/python
chmod a+x %{buildroot}%{_datadir}/libffado/python/*.py

sed -i -e '1i#!/usr/bin/python' %{buildroot}%{_datadir}/libffado/python/ffado_diag_helpers.py
sed -i -e '1i#!/usr/bin/python' %{buildroot}%{_datadir}/libffado/python/helpstrings.py

rm -rf %{buildroot}%{_bindir}/test-dice-eap

mkdir -p %{buildroot}%{_datadir}/applications
#make desktop file
cat > %{buildroot}%{_datadir}/applications/ffado-mixer.desktop <<EOF
[Desktop Entry]
Name=Ffado Mixer
Name[ru]=Микшер Ffado
Comment=Mixer for Firewire Audio Devices
Comment[ru]=Микшер для аудио-устройств Firewire
Exec=%{_bindir}/ffado-mixer
Icon=%{_datadir}/%{name}/icons/hi64-apps-ffado.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideo;
EOF

%changelog

* Sat Apr 02 2016 Denis Silakov <dsilakov@gmail.com> 2.2.1-2
- (10ba3c7) Added Russian l10n to desktop file


